#
# Conditional build:
%bcond_without	static_libs	# don't build static library
%bcond_without	apidocs		# documentation generated with doxygen

Summary:	Library to decrypt CSS-encoded DVD
Summary(pl.UTF-8):	Biblioteka do dekodowania DVD zakodowanych CSS
Name:		libdvdcss
Version:	1.4.3
Release:	1
License:	GPL v2+
Group:		Libraries
Source0:	https://download.videolan.org/pub/videolan/libdvdcss/%{version}/%{name}-%{version}.tar.bz2
# Source0-md5:	e98239a88af9b2204f9b9d987c2bc71a
URL:		https://www.videolan.org/developers/libdvdcss.html
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	libtool >= 2:2
%if %{with apidocs}
BuildRequires:	doxygen
BuildRequires:	texlive-fonts-cmsuper
BuildRequires:	texlive-fonts-jknappen
BuildRequires:	texlive-latex
BuildRequires:	texlive-latex-extend
BuildRequires:	texlive-latex-psnfss
BuildRequires:	texlive-makeindex
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libdvdcss is a simple library designed for accessing DVDs like a block
device without having to bother about the decryption.

%description -l pl.UTF-8
Biblioteka dostarczająca prosty interfejs pozwalający na dostęp do
zakodowanych płyt DVD.

%package devel
Summary:	libdvdcss library headers
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libdvdcss
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This is the libraries, include files and other resources you can use
to incorporate libdvdcss into applications.

%description devel -l pl.UTF-8
Pliki nagłówkowe oraz dokumentacja pozwalająca na dodawanie obsługi
CSS w swoich programach.

%package static
Summary:	libdvdcss static libraries
Summary(pl.UTF-8):	Statyczne biblioteki libdvdcss
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This is package with static libdvdcss libraries.

%description static -l pl.UTF-8
Statyczne biblioteki libdvdcss.

%package apidocs
Summary:	libdvdcss API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki libdvdcss
Group:		Documentation
BuildArch:	noarch

%description apidocs
libdvdcss API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki libdvdcss.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_apidocs:--disable-doc} \
	%{!?with_static_libs:--disable-static}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# packaged as %doc
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/libdvdcss

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README AUTHORS ChangeLog
%attr(755,root,root) %{_libdir}/libdvdcss.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdvdcss.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libdvdcss.so
%{_libdir}/libdvdcss.la
%{_includedir}/dvdcss
%{_pkgconfigdir}/libdvdcss.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libdvdcss.a
%endif

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%doc doc/html/*
%endif
%changelog
* Sat Apr 24 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libdvdcss.git;a=log;h=master

* Sat Apr 24 2021 Jakub Bogusz <qboosh@pld-linux.org> 2f572d9
- updated to 1.4.3

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> 02f548b
- unconditional noarch subpackages

* Sun Oct 28 2018 Jakub Bogusz <qboosh@pld-linux.org> 2e84fcc
- libtool version

* Mon Jul 23 2018 Elan Ruusamäe <glen@pld-linux.org> a66de2a
- up to 1.4.2

* Tue Mar 01 2016 Jakub Bogusz <qboosh@pld-linux.org> 6f0ba4e
- updated to 1.4.0

* Sun Jan 10 2016 Elan Ruusamäe <glen@delfi.ee> e38440f
- noarch apidoc

* Tue Jan 20 2015 Szymon Siwek <sls@pld-linux.org> bd09561
- ver. 1.3.0

* Fri Jul 26 2013 Jakub Bogusz <qboosh@pld-linux.org> 7cffdb2
- updated to 1.2.13

* Fri Mar 16 2012 Jakub Bogusz <qboosh@pld-linux.org> a1ec2a4
- updated URL

* Fri Mar 16 2012 Jakub Bogusz <qboosh@pld-linux.org> 2aa8d41
- updated to 1.2.12

* Mon Jan 24 2011 sparky <sparky@pld-linux.org> 9775874
- apidocs BR: texlive-latex-extend, texlive-latex-psnfss

* Sat Jun 05 2010 Szymon Siwek <sls@pld-linux.org> 0666c78
- BR: texlive-fonts-cmsuper

* Sat Jun 05 2010 Szymon Siwek <sls@pld-linux.org> 919013c
- added apidocs subpackage and bcond

* Sun Aug 31 2008 Jakub Bogusz <qboosh@pld-linux.org> 84f779c
- GPL v2+

* Sun Aug 31 2008 Karol Krenski <charles@pld-linux.org> 477df27
- updated License

* Sun Aug 31 2008 Karol Krenski <charles@pld-linux.org> aed98e5
- updated for 1.2.10

* Sun Aug 31 2008 Karol Krenski <charles@pld-linux.org> 5e56822
- updated to 1.2.10

* Mon Aug 18 2008 Marcin Banasiak <marcin.banasiak@gmail.com> e15a872
- added -doc.patch to fix build
- more verbose files
- release 3

* Mon Aug 18 2008 Marcin Banasiak <marcin.banasiak@gmail.com> 3ba6193
- build fix

* Mon Jul 28 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 2aca1d1
- release 2

